Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 667904 - dev-libs/libdazzle keywording and epiphany rekeywording
Summary: dev-libs/libdazzle keywording and epiphany rekeywording
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on: 673240
Blocks:
  Show dependency tree
 
Reported: 2018-10-06 18:45 UTC by Mart Raudsepp
Modified: 2019-09-23 09:53 UTC (History)
1 user (show)

See Also:
Package list:
dev-libs/libdazzle-3.32.3 www-client/epiphany-3.30.5
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2018-10-06 18:45:51 UTC
epiphany now makes use of libdazzle, which previously was only keyworded on amd64/x86 for gnome-builder. So now we need to keyword it for some more architectures, and re-keyword the epiphany bumps.
Comment 1 Rolf Eike Beer 2018-10-08 18:31:18 UTC
You put 3.30.1 in package.mask the very same day, does that make sense?
Comment 2 Mart Raudsepp gentoo-dev 2018-10-08 18:45:32 UTC
Yes, that's why I added 3.30.0 at all. 3.30.1 enables MSE playback, as Youtube doesn't support old method anymore. But that is fully crashing for me, instead of being limited to 240p and 360p resolutions, so I added both and p.masked 3.30.1.
It doesn't really matter which is tested, this is mainly about testing libdazzle, which is best done with gnome-builder instead tbh; if libdazzle is good and done, epiphany keyword can simply be restored for all versions.
Comment 3 Mart Raudsepp gentoo-dev 2018-10-08 18:46:10 UTC
So I added 3.30.1 too because maybe it works better for someone else, and they can enjoy their high res cat videos.
Comment 4 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-12-02 13:34:48 UTC
~arm added
Comment 5 ernsteiswuerfel 2018-12-16 12:01:08 UTC
Looking good on ppc && ppc64.

epiphany-3.30.2 fails 1 test (see bug #673240).

# cat libdazzle-667904.report 
USE tests started on So 16. Dez 01:23:05 CET 2018

FEATURES=' test' USE='' succeeded for =dev-libs/libdazzle-3.28.5
USE='-gtk-doc -introspection -vala' succeeded for =dev-libs/libdazzle-3.28.5
USE='gtk-doc -introspection -vala' succeeded for =dev-libs/libdazzle-3.28.5
USE='-gtk-doc introspection -vala' succeeded for =dev-libs/libdazzle-3.28.5
USE='gtk-doc introspection -vala' succeeded for =dev-libs/libdazzle-3.28.5
USE='-gtk-doc introspection vala' succeeded for =dev-libs/libdazzle-3.28.5
USE='gtk-doc introspection vala' succeeded for =dev-libs/libdazzle-3.28.5

 FEATURES=' test' failed for =www-client/epiphany-3.30.2
USE='' succeeded for =www-client/epiphany-3.30.2

# cat /mnt/mychroot/root/tatt/libdazzle-667904.report 
USE tests started on So 16. Dez 12:19:06 CET 2018

FEATURES=' test' USE='' succeeded for =dev-libs/libdazzle-3.28.5
USE='-gtk-doc -introspection -vala' succeeded for =dev-libs/libdazzle-3.28.5
USE='gtk-doc -introspection -vala' succeeded for =dev-libs/libdazzle-3.28.5
USE='-gtk-doc introspection -vala' succeeded for =dev-libs/libdazzle-3.28.5
USE='gtk-doc introspection -vala' succeeded for =dev-libs/libdazzle-3.28.5
USE='-gtk-doc introspection vala' succeeded for =dev-libs/libdazzle-3.28.5
USE='gtk-doc introspection vala' succeeded for =dev-libs/libdazzle-3.28.5

 FEATURES=' test' failed for =www-client/epiphany-3.30.2
USE='' succeeded for =www-client/epiphany-3.30.2
Comment 6 Sergei Trofimovich gentoo-dev 2018-12-19 22:31:34 UTC
~ppc/~ppc64 keyworded thanks to ernsteiswuerfel!
Comment 7 Rolf Eike Beer 2018-12-20 07:17:13 UTC
What about bug 673240?
Comment 8 Mart Raudsepp gentoo-dev 2019-01-16 23:25:05 UTC
Obviously it's going to fail sanity-check if bug has lingered for 3 months...
Comment 9 Sergei Trofimovich gentoo-dev 2019-09-23 07:29:06 UTC
WARNING: BUG: bug=667904 BAD: no package 'www-client/epiphany-3.30.2'